Subject: bug#5538: 23.1.92; Enhancement: bookmark.el should keep bookmarks sorted in ~/.emacs.bmk

From: Eric Hanchrow <[email-masked]>
Date: Tue, 1 Oct 2019 10:02:50 -0700

Sorry, I don't think I've used that feature in years.

It's entirely possible that the lexical sorting was added _after_ I
complained about it.

On Tue, Oct 1, 2019 at 8:32 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Eric Hanchrow <[email-masked]> writes:
>
> > I notice that bookmark.el doesn't keep my bookmarks file ~/.emacs.bmk
> > sorted, but I wish it would: it would make it easier to keep that file
> > in a revision control system.  In particular, it would make it easier to
> > resolve conflicts in that file.
>
> (I'm going through old bug reports that unfortunately didn't get any
> response at the time.)
>
> I'm not familiar with bookmark.el, but it has this comment:
>
> ;; The bookmark list is sorted lexically by default, but you can turn
> ;; this off by setting bookmark-sort-flag to nil.  If it is nil, then
> ;; the list will be presented in the order it is recorded
> ;; (chronologically), which is actually fairly useful as well.
>
> So it's supposed to be sorted (one way or the other).
>
> Do you have a recipe for reproducing the non-sortedness of the bookmark
> file?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>